﻿// <auto-generated />
using System;
using InsightHub.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace InsightHub.Data.Migrations
{
    [DbContext(typeof(InsightHubContext))]
    [Migration("20200609072952_Initial")]
    partial class Initial
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.4")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("InsightHub.Models.Industry", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(40)")
                        .HasMaxLength(40);

                    b.HasKey("Id");

                    b.ToTable("Industries");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Name = "Financial Services"
                        },
                        new
                        {
                            Id = 2,
                            Name = "Retail"
                        },
                        new
                        {
                            Id = 3,
                            Name = "Healthcare"
                        },
                        new
                        {
                            Id = 4,
                            Name = "Manufacturing"
                        },
                        new
                        {
                            Id = 5,
                            Name = "Public Sector"
                        },
                        new
                        {
                            Id = 6,
                            Name = "Consumer Electronics"
                        },
                        new
                        {
                            Id = 7,
                            Name = "Media & Entertainment"
                        },
                        new
                        {
                            Id = 8,
                            Name = "Travel"
                        },
                        new
                        {
                            Id = 9,
                            Name = "Transportation & Logistics"
                        },
                        new
                        {
                            Id = 10,
                            Name = "Energy & Utilities"
                        },
                        new
                        {
                            Id = 11,
                            Name = "Other"
                        });
                });

            modelBuilder.Entity("InsightHub.Models.Report", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("ApprovedOn")
                        .HasColumnType("datetime2");

                    b.Property<int>("AuthorID")
                        .HasColumnType("int");

                    b.Property<DateTime?>("ChangedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Content")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("nvarchar(500)")
                        .HasMaxLength(500);

                    b.Property<int>("IndustryID")
                        .HasColumnType("int");

                    b.Property<bool>("IsApproved")
                        .HasColumnType("bit");

                    b.Property<bool>("IsFeatured")
                        .HasColumnType("bit");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(100)")
                        .HasMaxLength(100);

                    b.Property<int>("TimesDownloaded")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("AuthorID");

                    b.HasIndex("IndustryID");

                    b.ToTable("Reports");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            AuthorID = 2,
                            Content = "Detail Your Three IoT Scenarios.pdf",
                            CreatedOn = new DateTime(2020, 6, 10, 7, 29, 52, 154, DateTimeKind.Utc).AddTicks(595),
                            Description = "Segmenting The Application Of Internet Of Things Across Products, Assets, And Ecosystem Sources",
                            IndustryID = 6,
                            IsApproved = true,
                            IsFeatured = false,
                            Name = "Detail Your Three IoT Scenarios",
                            TimesDownloaded = 13
                        },
                        new
                        {
                            Id = 2,
                            AuthorID = 2,
                            Content = "2020 To 2021 US Tech Budgets.pdf",
                            CreatedOn = new DateTime(2020, 6, 11, 7, 29, 52, 154, DateTimeKind.Utc).AddTicks(2190),
                            Description = "CIOs Should Tighten Their 2020 To 2021 Tech Budgets Based On Slowing But Still Positive US Economic Growth",
                            IndustryID = 1,
                            IsApproved = true,
                            IsFeatured = false,
                            Name = "2020 To 2021 US Tech Budgets",
                            TimesDownloaded = 5
                        },
                        new
                        {
                            Id = 3,
                            AuthorID = 4,
                            Content = "New Tech Medical Device Security.pdf",
                            CreatedOn = new DateTime(2020, 6, 9, 10, 29, 52, 154, DateTimeKind.Local).AddTicks(2256),
                            Description = "Forrester's Landscape Overview Of 19 Providers",
                            IndustryID = 3,
                            IsApproved = true,
                            IsFeatured = false,
                            Name = "New Tech: Medical Device Security",
                            TimesDownloaded = 8
                        },
                        new
                        {
                            Id = 5,
                            AuthorID = 4,
                            Content = "Your Strategic Plan Is The Linchpin For Omnichannel Success.pdf",
                            CreatedOn = new DateTime(2020, 6, 11, 7, 29, 52, 156, DateTimeKind.Utc).AddTicks(8283),
                            Description = "Strategic Plan: The Omnichannel Commerce Playbook",
                            IndustryID = 2,
                            IsApproved = true,
                            IsFeatured = true,
                            Name = "Your Strategic Plan Is The Linchpin For Omnichannel Success",
                            TimesDownloaded = 2
                        },
                        new
                        {
                            Id = 4,
                            AuthorID = 2,
                            Content = "New Tech Open Banking Intermediaries, Q2 2020.pdf",
                            CreatedOn = new DateTime(2020, 6, 10, 7, 29, 52, 156, DateTimeKind.Utc).AddTicks(7505),
                            Description = "Forrester's Landscape Overview Of 35 Providers",
                            IndustryID = 1,
                            IsApproved = true,
                            IsFeatured = true,
                            Name = "New Tech: Open Banking Intermediaries, Q2 2020",
                            TimesDownloaded = 17
                        },
                        new
                        {
                            Id = 6,
                            AuthorID = 2,
                            Content = "India Tech Market Outlook, 2020 To 2021.pdf",
                            CreatedOn = new DateTime(2020, 6, 9, 10, 29, 52, 156, DateTimeKind.Local).AddTicks(8305),
                            Description = "COVID-19 Has All But Killed India's Tech Spending Growth",
                            IndustryID = 5,
                            IsApproved = true,
                            IsFeatured = true,
                            Name = "India Tech Market Outlook, 2020 To 2021",
                            TimesDownloaded = 2
                        },
                        new
                        {
                            Id = 7,
                            AuthorID = 4,
                            Content = "Now Tech Sales Enablement Automation, Q2 2020.pdf",
                            CreatedOn = new DateTime(2020, 6, 10, 7, 29, 52, 156, DateTimeKind.Utc).AddTicks(8336),
                            Description = "Forrester's Overview Of 32 Sales Enablement Automation Providers",
                            IndustryID = 9,
                            IsApproved = true,
                            IsFeatured = true,
                            Name = "Now Tech: Sales Enablement Automation, Q2 2020",
                            TimesDownloaded = 13
                        },
                        new
                        {
                            Id = 8,
                            AuthorID = 4,
                            Content = "Select The Right IoT Monitoring Strategy.pdf",
                            CreatedOn = new DateTime(2020, 6, 11, 7, 29, 52, 156, DateTimeKind.Utc).AddTicks(8339),
                            Description = "Tackle The Key IoT Challenges That Stress Existing Enterprise Monitoring",
                            IndustryID = 9,
                            IsApproved = true,
                            IsFeatured = true,
                            Name = "Select The Right IoT Monitoring Strategy",
                            TimesDownloaded = 5
                        },
                        new
                        {
                            Id = 15,
                            AuthorID = 2,
                            Content = "Research Overview Artificial Intelligence.pdf",
                            CreatedOn = new DateTime(2020, 6, 9, 10, 29, 52, 156, DateTimeKind.Local).AddTicks(8366),
                            Description = "A Guide To Navigating Our AI Technology Research Portfolio",
                            IndustryID = 7,
                            IsApproved = true,
                            IsFeatured = false,
                            Name = "Research Overview: Artificial Intelligence",
                            TimesDownloaded = 23
                        },
                        new
                        {
                            Id = 14,
                            AuthorID = 4,
                            Content = "How To Evaluate Marketing Technology Performance.pdf",
                            CreatedOn = new DateTime(2020, 6, 11, 7, 29, 52, 156, DateTimeKind.Utc).AddTicks(8362),
                            Description = "Performance Management: The Enterprise Marketing Technology Playbook",
                            IndustryID = 7,
                            IsApproved = true,
                            IsFeatured = false,
                            Name = "How To Evaluate Marketing Technology Performance",
                            TimesDownloaded = 5
                        },
                        new
                        {
                            Id = 11,
                            AuthorID = 2,
                            Content = "Enterprise Architecture In 2025 And Beyond.pdf",
                            CreatedOn = new DateTime(2020, 6, 11, 7, 29, 52, 156, DateTimeKind.Utc).AddTicks(8351),
                            Description = "Vision: The EA Practice Playbook",
                            IndustryID = 7,
                            IsApproved = true,
                            IsFeatured = false,
                            Name = "Enterprise Architecture In 2025 And Beyond",
                            TimesDownloaded = 2
                        },
                        new
                        {
                            Id = 13,
                            AuthorID = 2,
                            Content = "Create A Governance Strategy To Meet The Process Imperative.pdf",
                            CreatedOn = new DateTime(2020, 6, 10, 7, 29, 52, 156, DateTimeKind.Utc).AddTicks(8360),
                            Description = "The Shift Required To Drive Process Automation At Scale",
                            IndustryID = 8,
                            IsApproved = true,
                            IsFeatured = false,
                            Name = "Create A Governance Strategy To Meet The Process Imperative",
                            TimesDownloaded = 1
                        },
                        new
                        {
                            Id = 12,
                            AuthorID = 4,
                            Content = "PEAK Leadership Powers Great EX.pdf",
                            CreatedOn = new DateTime(2020, 6, 9, 10, 29, 52, 156, DateTimeKind.Local).AddTicks(8354),
                            Description = "Engage The Adaptive Workforce With EX-Centered Leadership",
                            IndustryID = 10,
                            IsApproved = true,
                            IsFeatured = false,
                            Name = "PEAK Leadership Powers Great EX",
                            TimesDownloaded = 0
                        },
                        new
                        {
                            Id = 9,
                            AuthorID = 2,
                            Content = "Ten Golden Rules For RPA Success.pdf",
                            CreatedOn = new DateTime(2020, 6, 9, 10, 29, 52, 156, DateTimeKind.Local).AddTicks(8342),
                            Description = "Focus On These Key Philosophies For Lasting Automation Value",
                            IndustryID = 6,
                            IsApproved = true,
                            IsFeatured = false,
                            Name = "Ten Golden Rules For RPA Success",
                            TimesDownloaded = 6
                        },
                        new
                        {
                            Id = 10,
                            AuthorID = 4,
                            Content = "How To Evolve Your Mobile App.pdf",
                            CreatedOn = new DateTime(2020, 6, 10, 7, 29, 52, 156, DateTimeKind.Utc).AddTicks(8349),
                            Description = "Make Smart Investment Choices Based On Your Customer's Goals And Needs",
                            IndustryID = 6,
                            IsApproved = true,
                            IsFeatured = false,
                            Name = "How To Evolve Your Mobile App",
                            TimesDownloaded = 34
                        });
                });

            modelBuilder.Entity("InsightHub.Models.ReportTag", b =>
                {
                    b.Property<int>("ReportId")
                        .HasColumnType("int");

                    b.Property<int>("TagId")
                        .HasColumnType("int");

                    b.HasKey("ReportId", "TagId");

                    b.HasIndex("TagId");

                    b.ToTable("ReportTags");

                    b.HasData(
                        new
                        {
                            ReportId = 1,
                            TagId = 2
                        },
                        new
                        {
                            ReportId = 1,
                            TagId = 6
                        },
                        new
                        {
                            ReportId = 2,
                            TagId = 1
                        },
                        new
                        {
                            ReportId = 2,
                            TagId = 2
                        },
                        new
                        {
                            ReportId = 2,
                            TagId = 3
                        },
                        new
                        {
                            ReportId = 3,
                            TagId = 3
                        },
                        new
                        {
                            ReportId = 3,
                            TagId = 6
                        },
                        new
                        {
                            ReportId = 6,
                            TagId = 6
                        },
                        new
                        {
                            ReportId = 6,
                            TagId = 2
                        },
                        new
                        {
                            ReportId = 7,
                            TagId = 1
                        },
                        new
                        {
                            ReportId = 7,
                            TagId = 2
                        },
                        new
                        {
                            ReportId = 8,
                            TagId = 3
                        },
                        new
                        {
                            ReportId = 9,
                            TagId = 4
                        },
                        new
                        {
                            ReportId = 10,
                            TagId = 3
                        },
                        new
                        {
                            ReportId = 11,
                            TagId = 5
                        },
                        new
                        {
                            ReportId = 12,
                            TagId = 6
                        },
                        new
                        {
                            ReportId = 13,
                            TagId = 1
                        },
                        new
                        {
                            ReportId = 14,
                            TagId = 4
                        },
                        new
                        {
                            ReportId = 15,
                            TagId = 5
                        },
                        new
                        {
                            ReportId = 5,
                            TagId = 6
                        },
                        new
                        {
                            ReportId = 4,
                            TagId = 5
                        });
                });

            modelBuilder.Entity("InsightHub.Models.Role", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasName("RoleNameIndex")
                        .HasFilter("[NormalizedName] IS NOT NULL");

                    b.ToTable("AspNetRoles");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            ConcurrencyStamp = "5728b7d2-0d5a-49e2-8932-cd861b35abac",
                            Name = "Admin",
                            NormalizedName = "ADMIN"
                        },
                        new
                        {
                            Id = 2,
                            ConcurrencyStamp = "701f12a3-e96d-4fc2-8fec-11b632a731a1",
                            Name = "Author",
                            NormalizedName = "Author"
                        },
                        new
                        {
                            Id = 3,
                            ConcurrencyStamp = "187aee24-0dbe-40b3-859b-d58668c03a51",
                            Name = "Client",
                            NormalizedName = "Client"
                        });
                });

            modelBuilder.Entity("InsightHub.Models.Tag", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Tags");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Name = "Business & IT Alignment"
                        },
                        new
                        {
                            Id = 2,
                            Name = "Tech Sector Economics"
                        },
                        new
                        {
                            Id = 3,
                            Name = "Strategy Planning & Governance"
                        },
                        new
                        {
                            Id = 4,
                            Name = "Information Security"
                        },
                        new
                        {
                            Id = 5,
                            Name = "Digital Marketing"
                        },
                        new
                        {
                            Id = 6,
                            Name = "IT Services"
                        });
                });

            modelBuilder.Entity("InsightHub.Models.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("AccessFailedCount")
                        .HasColumnType("int");

                    b.Property<DateTime?>("ApprovedOn")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("ChangedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<bool>("EmailConfirmed")
                        .HasColumnType("bit");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("IsApproved")
                        .HasColumnType("bit");

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("LockoutEnabled")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset?>("LockoutEnd")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("NormalizedEmail")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedUserName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("PasswordHash")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PhoneNumber")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("PhoneNumberConfirmed")
                        .HasColumnType("bit");

                    b.Property<string>("SecurityStamp")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("TwoFactorEnabled")
                        .HasColumnType("bit");

                    b.Property<string>("UserName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasName("UserNameIndex")
                        .HasFilter("[NormalizedUserName] IS NOT NULL");

                    b.ToTable("AspNetUsers");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "0b8b367c-6b16-4168-8d2d-d4c90b2e046f",
                            CreatedOn = new DateTime(2020, 6, 9, 7, 29, 52, 119, DateTimeKind.Utc).AddTicks(9993),
                            Email = "admin@insighthub.com",
                            EmailConfirmed = false,
                            FirstName = "Admin",
                            IsApproved = true,
                            LastName = "Admin",
                            LockoutEnabled = true,
                            NormalizedEmail = "ADMIN@INSIGHTHUB.COM",
                            NormalizedUserName = "ADMIN@INSIGHTHUB.COM",
                            PasswordHash = "AQAAAAEAACcQAAAAEPUW2Xy5UaSupgK0n5rON+XPWSyK7NmFnJfrUjMhDXnutw5HIgaZJfzBllYDkiaZgQ==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "JK82L91TB50IX67PO92302JSD30NGF",
                            TwoFactorEnabled = false,
                            UserName = "admin@insighthub.com"
                        },
                        new
                        {
                            Id = 3,
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "0f76df76-95fe-41f8-8910-867943081f67",
                            CreatedOn = new DateTime(2020, 6, 9, 7, 29, 52, 138, DateTimeKind.Utc).AddTicks(1191),
                            Email = "client@insighthub.com",
                            EmailConfirmed = false,
                            FirstName = "Jane",
                            IsApproved = false,
                            LastName = "Doe",
                            LockoutEnabled = true,
                            NormalizedEmail = "CLIENT@INSIGHTHUB.COM",
                            NormalizedUserName = "CLIENT@INSIGHTHUB.COM",
                            PasswordHash = "AQAAAAEAACcQAAAAEN+v8/ABpDFBncp+7++LAy9dhbeswFKmHo7ZuC6smN2BZiF1CoM4piGTYnJ/3XJnGw==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "SK83NVJDI39TDOW028FJSDKOAO280",
                            TwoFactorEnabled = false,
                            UserName = "client@insighthub.com"
                        },
                        new
                        {
                            Id = 2,
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "b4e51a6c-67ec-47a9-9668-f67ffface2c0",
                            CreatedOn = new DateTime(2020, 6, 9, 7, 29, 52, 130, DateTimeKind.Utc).AddTicks(8556),
                            Email = "author@insighthub.com",
                            EmailConfirmed = false,
                            FirstName = "John",
                            IsApproved = true,
                            LastName = "Doe",
                            LockoutEnabled = true,
                            NormalizedEmail = "AUTHOR@INSIGHTHUB.COM",
                            NormalizedUserName = "AUTHOR@INSIGHTHUB.COM",
                            PasswordHash = "AQAAAAEAACcQAAAAEMmSChAAL1fG2iu/UKgvvUNdBcbzIAsSwB4yl0U6UntbakPIuqFqlzL/dftMizmFLA==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "K3NV7340BJD72PJCDHSI37GZR409JL",
                            TwoFactorEnabled = false,
                            UserName = "author@insighthub.com"
                        },
                        new
                        {
                            Id = 4,
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "6c627f4b-4f64-4c7e-aa8b-b3d034526d64",
                            CreatedOn = new DateTime(2020, 6, 9, 7, 29, 52, 145, DateTimeKind.Utc).AddTicks(7270),
                            Email = "secondAuthor@insighthub.com",
                            EmailConfirmed = false,
                            FirstName = "Jack",
                            IsApproved = true,
                            LastName = "Doe",
                            LockoutEnabled = true,
                            NormalizedEmail = "SECONDAUTHOR@INSIGHTHUB.COM",
                            NormalizedUserName = "SECONDAUTHOR@INSIGHTHUB.COM",
                            PasswordHash = "AQAAAAEAACcQAAAAEC3CVH7sN+/5WbZDO+au1aNG7jblWpf6XhWbOZHRYpC3NxPNrV54MC61z64RbDXGvA==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "KFH2858JDHKG015NV234KJHDN6583",
                            TwoFactorEnabled = false,
                            UserName = "secondAuthor@insighthub.com"
                        });
                });

            modelBuilder.Entity("InsightHub.Models.UserIndustry", b =>
                {
                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.Property<int>("IndustryId")
                        .HasColumnType("int");

                    b.HasKey("UserId", "IndustryId");

                    b.HasIndex("IndustryId");

                    b.ToTable("UserIndustries");

                    b.HasData(
                        new
                        {
                            UserId = 3,
                            IndustryId = 5
                        },
                        new
                        {
                            UserId = 3,
                            IndustryId = 7
                        },
                        new
                        {
                            UserId = 3,
                            IndustryId = 8
                        });
                });

            modelBuilder.Entity("InsightHub.Models.UserReport", b =>
                {
                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.Property<int>("ReportId")
                        .HasColumnType("int");

                    b.HasKey("UserId", "ReportId");

                    b.HasIndex("ReportId");

                    b.ToTable("UserReports");

                    b.HasData(
                        new
                        {
                            UserId = 2,
                            ReportId = 1
                        },
                        new
                        {
                            UserId = 2,
                            ReportId = 2
                        },
                        new
                        {
                            UserId = 2,
                            ReportId = 3
                        });
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<int>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("RoleId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<int>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<int>", b =>
                {
                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("ProviderKey")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("ProviderDisplayName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<int>", b =>
                {
                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.Property<int>("RoleId")
                        .HasColumnType("int");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles");

                    b.HasData(
                        new
                        {
                            UserId = 1,
                            RoleId = 1
                        },
                        new
                        {
                            UserId = 2,
                            RoleId = 2
                        },
                        new
                        {
                            UserId = 3,
                            RoleId = 3
                        },
                        new
                        {
                            UserId = 4,
                            RoleId = 2
                        });
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<int>", b =>
                {
                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Value")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens");
                });

            modelBuilder.Entity("InsightHub.Models.Report", b =>
                {
                    b.HasOne("InsightHub.Models.User", "Author")
                        .WithMany("AuthoredReports")
                        .HasForeignKey("AuthorID")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("InsightHub.Models.Industry", "Industry")
                        .WithMany("Reports")
                        .HasForeignKey("IndustryID")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("InsightHub.Models.ReportTag", b =>
                {
                    b.HasOne("InsightHub.Models.Report", "Report")
                        .WithMany("ReportTags")
                        .HasForeignKey("ReportId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("InsightHub.Models.Tag", "Tag")
                        .WithMany("ReportTags")
                        .HasForeignKey("TagId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("InsightHub.Models.UserIndustry", b =>
                {
                    b.HasOne("InsightHub.Models.Industry", "Industry")
                        .WithMany("Subscribers")
                        .HasForeignKey("IndustryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("InsightHub.Models.User", "User")
                        .WithMany("Subscriptions")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("InsightHub.Models.UserReport", b =>
                {
                    b.HasOne("InsightHub.Models.Report", "Report")
                        .WithMany("Customers")
                        .HasForeignKey("ReportId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("InsightHub.Models.User", "User")
                        .WithMany("DownloadedReports")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<int>", b =>
                {
                    b.HasOne("InsightHub.Models.Role", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<int>", b =>
                {
                    b.HasOne("InsightHub.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<int>", b =>
                {
                    b.HasOne("InsightHub.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<int>", b =>
                {
                    b.HasOne("InsightHub.Models.Role", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("InsightHub.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<int>", b =>
                {
                    b.HasOne("InsightHub.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
